#define sin_desktop_init
/*SIN DESKTOP DLL | VERSION 1.0 */

//initialize the DLL, call this script before you use any functions from the DLL
//remember to free the DLL when you are done with it or at game end, with external_free(var_sin_desktop_dll); 
//and show the desktop and taskbar, if you hide it

//DLL path
var_sin_desktop_dll=working_directory+"\sin-desktop.dll";

//Declare functions available
global.var_desktop_sin1=external_define(var_sin_desktop_dll,"sin_desktop_is_locked",dll_stdcall,ty_real,0);
global.var_desktop_sin2=external_define(var_sin_desktop_dll,"sin_desktop_set_wallpaper",dll_stdcall,ty_real,1,ty_string);
global.var_desktop_sin3=external_define(var_sin_desktop_dll,"sin_desktop_get_wallpaper",dll_stdcall,ty_string,0);
global.var_desktop_sin4=external_define(var_sin_desktop_dll,"sin_desktop_get_directory",dll_stdcall,ty_string,0);
global.var_desktop_sin5=external_define(var_sin_desktop_dll,"sin_desktop_get_public_directory",dll_stdcall,ty_string,0);
global.var_desktop_sin6=external_define(var_sin_desktop_dll,"sin_desktop_icons_show",dll_stdcall,ty_real,0);
global.var_desktop_sin7=external_define(var_sin_desktop_dll,"sin_desktop_icons_hide",dll_stdcall,ty_real,0);
global.var_desktop_sin8=external_define(var_sin_desktop_dll,"sin_desktop_get_x",dll_stdcall,ty_real,0);
global.var_desktop_sin9=external_define(var_sin_desktop_dll,"sin_desktop_get_y",dll_stdcall,ty_real,0);
global.var_desktop_sin10=external_define(var_sin_desktop_dll,"sin_desktop_get_width",dll_stdcall,ty_real,0);
global.var_desktop_sin11=external_define(var_sin_desktop_dll,"sin_desktop_get_height",dll_stdcall,ty_real,0);
global.var_desktop_sin12=external_define(var_sin_desktop_dll,"sin_desktop_icons_are_visible",dll_stdcall,ty_real,0);
global.var_desktop_sin13=external_define(var_sin_desktop_dll,"sin_desktop_get_handle",dll_stdcall,ty_real,0);
global.var_desktop_sin14=external_define(var_sin_desktop_dll,"sin_desktop_has_focus",dll_stdcall,ty_real,0);
global.var_desktop_sin15=external_define(var_sin_desktop_dll,"sin_desktop_taskbar_hide",dll_stdcall,ty_real,0);
global.var_desktop_sin16=external_define(var_sin_desktop_dll,"sin_desktop_taskbar_show",dll_stdcall,ty_real,0);
global.var_desktop_sin17=external_define(var_sin_desktop_dll,"sin_desktop_taskbar_is_visible",dll_stdcall,ty_real,0);
global.var_desktop_sin18=external_define(var_sin_desktop_dll,"sin_desktop_taskbar_get_x",dll_stdcall,ty_real,0);
global.var_desktop_sin19=external_define(var_sin_desktop_dll,"sin_desktop_taskbar_get_y",dll_stdcall,ty_real,0);
global.var_desktop_sin20=external_define(var_sin_desktop_dll,"sin_desktop_taskbar_get_width",dll_stdcall,ty_real,0);
global.var_desktop_sin21=external_define(var_sin_desktop_dll,"sin_desktop_taskbar_get_height",dll_stdcall,ty_real,0);
global.var_desktop_sin22=external_define(var_sin_desktop_dll,"sin_desktop_taskbar_get_handle",dll_stdcall,ty_real,0);
global.var_desktop_sin23=external_define(var_sin_desktop_dll,"sin_desktop_startbutton_get_handle",dll_stdcall,ty_real,0);
global.var_desktop_sin24=external_define(var_sin_desktop_dll,"sin_desktop_taskbar_has_focus",dll_stdcall,ty_real,0);



#define sin_desktop_get_x
/*

Retrieves the X coordinate of the desktop window

*/

return external_call(global.var_desktop_sin8);

#define sin_desktop_get_y
/*

Retrieves the Y coordinate of the desktop window

*/

return external_call(global.var_desktop_sin9);

#define sin_desktop_get_width
/*

Retrieves the Width of the desktop window

*/

return external_call(global.var_desktop_sin10);

#define sin_desktop_get_height
/*

Retrieves the Height of the desktop window

*/

return external_call(global.var_desktop_sin11);

#define sin_desktop_is_locked
/*

Returns if the desktop is locked, the user can lock the desktop using Windows Key + L
or via the Task Manager options

returns 1 if the desktop is locked, 0 if desktop is not locked, 
-1 on error

*/

return external_call(global.var_desktop_sin1);

#define sin_desktop_has_focus
/*

Returns if the desktop has focus

1 if it has focus, 0 otherwise

*/

return external_call(global.var_desktop_sin14);

#define sin_desktop_get_directory
/*

Retrieves the Desktop directory

returns the path on success, "ERROR" on failure


*/

return external_call(global.var_desktop_sin4);

#define sin_desktop_get_public_directory
/*

Retrieves the Desktop directory for all Users

returns the path on success, "ERROR" on failure


*/

return external_call(global.var_desktop_sin4);

#define sin_desktop_get_wallpaper
/*

Returns the desktop wallpaper filename

returns filename on success, "ERROR" on error

*/

return external_call(global.var_desktop_sin3);

#define sin_desktop_set_wallpaper
/*

Sets the desktop wallpaper, Windows XP and lower accepts only .bmp files,
argument0 is the filename, use a full path using working_directory or program_directory

returns 1 on success, 0 on error

*/

return external_call(global.var_desktop_sin2,argument0);

#define sin_desktop_icons_hide
/*

Hides the desktop icons and deactivates the desktop

returns 1 on success, 0 on error

*/

return external_call(global.var_desktop_sin7);

#define sin_desktop_icons_show
/*

Shows the desktop icons and activates the desktop

returns 1 on success, 0 on error

*/

return external_call(global.var_desktop_sin6);

#define sin_desktop_icons_are_visible
/*

Returns if the desktop icons are visible

1 if it is visible, 0 if hidden

*/

return external_call(global.var_desktop_sin12);

#define sin_desktop_get_handle
/*

Retrieves the handle of the desktop window

returns the desktop handle

*/

return external_call(global.var_desktop_sin13);

#define sin_desktop_taskbar_get_x
/*

Retrieves the X coordinate of the taskbar

*/

return external_call(global.var_desktop_sin18);

#define sin_desktop_taskbar_get_y
/*

Retrieves the Y coordinate of the taskbar

*/

return external_call(global.var_desktop_sin19);

#define sin_desktop_taskbar_get_width
/*

Retrieves the Width of the taskbar

*/

return external_call(global.var_desktop_sin20);

#define sin_desktop_taskbar_get_height
/*

Retrieves the Height of the taskbar

*/

return external_call(global.var_desktop_sin21);

#define sin_desktop_taskbar_has_focus
/*

Returns if the taskbar has focus

1 if it has focus, 0 otherwise

*/

return external_call(global.var_desktop_sin24);

#define sin_desktop_taskbar_hide
/*

Hides the taskbar, also the Start Button

returns 1 on success, 0 on error

*/

return external_call(global.var_desktop_sin15);

#define sin_desktop_taskbar_show
/*

Shows the taskbar, also the Start Button

returns 1 on success, 0 on error

*/

return external_call(global.var_desktop_sin16);

#define sin_desktop_taskbar_is_visible
/*

Returns if the taskbar is visible

1 if it is visible, 0 otherwise

*/

return external_call(global.var_desktop_sin17);

#define sin_desktop_taskbar_get_handle
/*

Retrieves the taskbar handle

returns handle on success, 0 on error

*/

return external_call(global.var_desktop_sin22);

#define sin_desktop_startbutton_get_handle
/*

Retrieves the Start Button handle, In Windows Vista and higher the Start Button is separate from the taskbar

returns handle on success, 0 on error

*/

return external_call(global.var_desktop_sin23);

